#ifndef FAST_H
#define FAST_H
#define MaxCorners 500
#define DCORNERS  100
#define fast_corner fast9_corner

typedef unsigned char byte;


u32 fast_corner(s32 PixelValue, u8 *PixelBuffer, s32 threshold);
u32 fastX_corner(s32 PixelValue, u8 *PixelBuffer, s32 threshold, u32 Version);
u32 fastX_corner2(TMatrixU8 *Img, u32 X, u32 Y, s32 threshold, u32 Version);
void MatConv_mU8_kg3_oU8_1(TMatrixU8 *Mat, TMatrixU8 *Out);

void GetPixelBufferU8(TMatrixU8 *Img, u32 X, u32 Y, u8 *PixelBuffer);
u32 fast_corner_score(u32 p, u8 *PixelBuffer, u32 bstart);
u32 fast_detect(TMatrixU8 *Img, u32 Threshold, TCorner *Corners);
void nonmax_suppression(TCorner* corners, u32 num_corners, TCorner* ret_nonmax, u32* ret_num_nonmax);

u32 fast(u8* ImgData, u32 Img_Col, u32 Img_Row, u32 Threshold, TCorner* Corners, u32 MaxNumCorners);
#endif
