/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mChafTmpInitX.h.rca 1.2 Wed Jul 23 10:36:07 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mChafTmpInitX.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:07 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:52 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MCHAFTMPINITX_H_
#define __C4MCHAFTMPINITX_H_


#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif

#ifndef __C4MMEM_H_
#include "c4mMem.h"
#endif

#ifndef __C4MCHAF_H_
#include "c4mChaf.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

int32 c4mChafTmpInitX(c4mMem *mem, c4mChafTmpType *cobe,
		uint32 rows, uint32 cols, uint32 maxWxStage);


#ifdef __cplusplus
}
#endif

#endif /* __C4MCHAFTMPINITX_H_ */
