/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mIntegralAndSquareImage.h.rca 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mIntegralAndSquareImage.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:55 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MINTEGRALANDSQUAREIMAGE_H_
#define __C4MINTEGRALANDSQUAREIMAGE_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

int8 c4mIntegralAndSquareImage_DU(c4mMatrix *img, c4mMatrix *sqr_img);
int8 c4mIntegralAndSquareImage_I(c4mMatrix *img, c4mMatrix *sqr_img);
int8 c4mIntegralAndSquareImage_ID(c4mMatrix *img, c4mMatrix *sqr_img);
int8 c4mIntegralAndSquareImage_UX(c4mMatrix *img, c4mMatrix *sqr_img) ;

#ifdef __cplusplus
}
#endif

#endif 
