/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mMaskWin.h.rca 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mMaskWin.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:55 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MMASKWIN_H_
#define __C4MMASKWIN_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

int8 c4mMaskWin_U(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_U8(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_U16(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_I(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_I8(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_I16(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_F(c4mMatrix *in, c4mMatrix *range);
int8 c4mMaskWin_D(c4mMatrix *in, c4mMatrix *range);

#ifdef __cplusplus
}
#endif

#endif /* __C4MMASKWIN_H_ */
