/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mMatrixCrop.h.rca 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mMatrixCrop.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:56 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MMATRIXCROP_H_
#define __C4MMATRIXCROP_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

int8 c4mMatrixCrop_U(c4mMatrix *img, c4mMatrix *start,c4mMatrix *out);
int8 c4mMatrixCrop_D(c4mMatrix *img, c4mMatrix *start,c4mMatrix *out);
int8 c4mMatrixCrop_U8(c4mMatrix *img, c4mMatrix *start,c4mMatrix *out);

#ifdef __cplusplus
}
#endif

#endif /* __C4MMATRIXCROP_H_ */
