/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mMeanWin.h.rca 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mMeanWin.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:56 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MMEANWIN_H_
#define __C4MMEANWIN_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

int8 c4mMeanWin_UU8X(c4mMatrix *in, c4mMatrix *range, uint32 *out, int8 fix);
int8 c4mMeanWin_F(c4mMatrix *in, c4mMatrix *range, float32 *out);
int8 c4mMeanWin_D(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DU(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DU8(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DU16(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DI(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DI8(c4mMatrix *in, c4mMatrix *range, float64 *out);
int8 c4mMeanWin_DI16(c4mMatrix *in, c4mMatrix *range, float64 *out);

#ifdef __cplusplus
}
#endif

#endif /* __C4MMEANWIN_H_ */
