/*
 * Camera_Init.h
 *
 *  Created on: Jan 19, 2011
 *      Author: Administrator
 */

#ifndef CAMERA_INIT_H_
#define CAMERA_INIT_H_

/* Includes ------------------------------------------------------------------*/
#include "91x_lib.h"
#include "CamInt_x24.h"

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

/* Module private variables --------------------------------------------------*/
extern u8 *pImgBufferData;
extern u32 BufferSize;
extern u8 CamState; // 0:Uniitialized, 1:Running, 2:Paused
extern Tx24_ImgJob *CompletedJob;

/* Exported macro ------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void Init_Cam(void);
void GetCompletedJob(void);
void CameraSetParam(u8 ImgFormat, u16 Width, u16 Height,
		u8 Framerate, u8 SensorMode, u8 HalfSysClock,
		u8 JpegCompr, u8 JpegDerat);
void Init_BlobParameters(void);

#endif /* CAMERA_INIT_H_ */
